
Lookup Editor - Bug #1173

Editor sometimes fails to load an invalid lookup file

01/21/2016 04:43 AM - Luke Murphey

Status: Closed Start date: 01/21/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1   

Description

This can happen when the lookup is set to an empty string.

Uncaught Error: loadData only accepts array of objects or array of arrays (string given)

loadData @ handsontable.full.min.js:32

updateSettings @ handsontable.full.min.js:32

init @ handsontable.full.min.js:32

window.jQuery.f.fn.handsontable @ handsontable.full.min.js:32

n.extend.renderLookup @ LookupEditView.js:6

(anonymous function) @ LookupEditView.js:6

f @ mvc.js:6

l.fireWith @ mvc.js:6

S @ mvc.js:6

(anonymous function) @ mvc.js:6

XMLHttpRequest.send (async)send @ mvc.js:6

jQuery.extend.ajax @ mvc.js:6

n.extend.loadLookupContents @ LookupEditView.js:6

n.extend.render @ LookupEditView.js:6

(anonymous function) @ lookup_edit.js:31

r.execCb @ config.js:6

n.check @ config.js:6

(anonymous function) @ config.js:6

(anonymous function) @ config.js:6

(anonymous function) @ config.js:6

each @ config.js:6

n.emit @ config.js:6

n.check @ config.js:6

(anonymous function) @ config.js:6

(anonymous function) @ config.js:6

(anonymous function) @ config.js:6

each @ config.js:6

n.emit @ config.js:6

n.check @ config.js:6

n.enable @ config.js:6

n.init @ config.js:6

A @ config.js:6

r.completeLoad @ config.js:6

r.onScriptLoad @ config.js:6

History

#1 - 02/04/2016 11:44 PM - Luke Murphey

- % Done changed from 0 to 100

#2 - 02/04/2016 11:44 PM - Luke Murphey

- Status changed from New to Closed
